Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JEnumType

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JType
          com.google.gwt.core.ext.typeinfo.JClassType
              com.google.gwt.core.ext.typeinfo.JRealClassType
                  com.google.gwt.core.ext.typeinfo.JEnumType

All Implemented Interfaces:
  HasAnnotations, HasMetaData

    public class JEnumType

extends JRealClassType

Type representing a Java enumerated type.

Constructor Summary
`JEnumType(TypeOracle oracle, JPackage declaringPackage, JClassType enclosingType, boolean isLocalType, java.lang.String name, boolean isInterface)`

Method Summary
`JEnumConstant[]` | `getEnumConstants()` Returns the enumeration constants declared by this enumeration.
`JEnumType` | `isEnum()` Returns this instance if it is an enumeration or `null` if it is not.

Methods inherited from class com.google.gwt.core.ext.typeinfo.JRealClassType
`acceptSubtype, addAnnotations, addConstructor, addField, addImplementedInterface, addMetaData, addMethod, addModifierBits, addNestedType, findConstructor, findField, findMethod, findNestedType, findNestedTypeImpl, getAnnotation, getConstructor, getConstructors, getEnclosingType, getErasedType, getField, getFields, getImplementedInterfaces, getJNISignature, getMetaData, getMetaDataTags, getMethod, getMethods, getModifierBits, getName, getNestedType, getNestedTypes, getOracle, getOverloads, getOverridableMethods, getOverridableMethodsOnSuperclassesAndThisClass, getOverridableMethodsOnSuperinterfacesAndMaybeThisInterface, getPackage, getQualifiedSourceName, getSimpleSourceName, getSubtypes, getSuperclass, invalidate, isAbstract, isAnnotationPresent, isArray, isClass, isDefaultInstantiable, isFinal, isGenericType, isInterface, isLocalType, isMemberType, isParameterized, isPrimitive, isPrivate, isProtected, isPublic, isRawType, isStatic, isWildcard, notifySuperTypesOf, removeSubtype, setSuperclass, toString`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JClassType
`asParameterizationOf, getFlattenedSuperTypeHierarchy, isAssignableFrom, isAssignableTo, isMaybeParameterizedType, makeCompoundName`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JType
`getLeafType, getParameterizedQualifiedSourceName, isAnnotation, isClassOrInterface, isTypeParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JEnumType

    public JEnumType(TypeOracle oracle,
                     JPackage declaringPackage,
                     JClassType enclosingType,
                     boolean isLocalType,
                     java.lang.String name,
                     boolean isInterface)

Method Detail

### getEnumConstants

    public JEnumConstant[] getEnumConstants()

  Returns the enumeration constants declared by this enumeration.

  Returns:
    enumeration constants declared by this enumeration

### isEnum

    public JEnumType isEnum()

  Description copied from class: `JType`
  Returns this instance if it is an enumeration or `null` if it is not.

  Overrides:
    `isEnum` in class `JRealClassType`
  Returns:
    this instance if it is an enumeration or `null` if it is not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD